[+]Komunikator GG nie chce się uruchomić.

Tematy związane z oprogramowaniem, instalacją, konfiguracją
Awatar użytkownika
olk777
Posty: 18
Rejestracja: 10 lutego 2018, 17:29

Re: Komunikator GG nie chce się uruchomić.

Post autor: olk777 » 24 lipca 2018, 23:16

Gdzieś wyczytałem iż potrzeba:
Biblioteki (w wersji podanej lub nowszej): GTK 2.1, GLib 2.12, Pango 1.14, X.Org 1.7, libstdc++ 4.3
Zainstalowane oprogramowanie Adobe Flash Player (co najmniej) wersja 10.3 firmy Adobe Systems

Awatar użytkownika
Yampress
Administrator
Posty: 6149
Rejestracja: 09 sierpnia 2007, 21:41
Lokalizacja: PL

Re: Komunikator GG nie chce się uruchomić.

Post autor: Yampress » 25 lipca 2018, 05:54

Stworzyli sobie kiedys tam paczkę tego gg opartą na aktualnych bibliotekach z czasu tworzenia i nie aktualizuja... Zapomnieli, że świat idzie cały czas do przodu.
Jeśli tych wersji bibliotek nie znajdziesz z systemie spróbuj wyższych numerów tych paczek. Ewentualnie pozostaje przepakietowanie, lub ściągnięcie sarszych wersji pakietów, rozpakowanie ich i pokopiowanie odpowiednich plików potrzebnych w miejsca/strukture katalogów systemu tam gdzie powinny się znajdować...

sullivan
Beginner
Posty: 126
Rejestracja: 03 września 2008, 17:07
Lokalizacja: Krosno Odrzańskie

Re: Komunikator GG nie chce się uruchomić.

Post autor: sullivan » 01 sierpnia 2018, 19:44

Spróbuję w takim razie przy najbliższej okazji, bo w chwili obecnej nie mam nawet kiedy usiąść do komputera.

Awatar użytkownika
Yampress
Administrator
Posty: 6149
Rejestracja: 09 sierpnia 2007, 21:41
Lokalizacja: PL

Re: Komunikator GG nie chce się uruchomić.

Post autor: Yampress » 01 sierpnia 2018, 19:57

takze pości ąga sobie odpowiednie paczki, rozpakuj je albo wejdz w nie za pomocą mc i pokopiuj odpowiednie bilioteki w ta sama lokalizacje co sa w paczkach. uważaj tylko aby jakiś nie nadpisac..

Awatar użytkownika
dedito
Moderator
Posty: 2950
Rejestracja: 18 listopada 2013, 21:07
Lokalizacja: Gliwice

Re: Komunikator GG nie chce się uruchomić.

Post autor: dedito » 03 listopada 2018, 14:07

Rozwiązanie z forum gg:
Sweetashny Miszcz pisze:2. Jeżeli ktoś ma problem z odpaleniem GG poza Ubuntu - GG można odpalić poleceniem:
LD_PRELOAD=./xulrunner/libcrypto.so.1.0.0 ./gghub
Sprawdzone, działa.

sullivan
Beginner
Posty: 126
Rejestracja: 03 września 2008, 17:07
Lokalizacja: Krosno Odrzańskie

Re: Komunikator GG nie chce się uruchomić.

Post autor: sullivan » 12 sierpnia 2019, 20:57

dedito pisze:
03 listopada 2018, 14:07
Rozwiązanie z forum gg:
Sweetashny Miszcz pisze:2. Jeżeli ktoś ma problem z odpaleniem GG poza Ubuntu - GG można odpalić poleceniem:
LD_PRELOAD=./xulrunner/libcrypto.so.1.0.0 ./gghub
Sprawdzone, działa.
Faktycznie działa. Zrobiłem sobie do tego aktywator. Szkoda, że nie zapisuje pozycji komunikatora przy zamknięciu programu, ale to jakoś przeżyję. Najważniejsze, że program udało się uruchomić. Jakby ktoś nie wiedział jak stworzyć aktywator w taki sposób, żeby nie uruchamiać programu z okna konsoli, to wystarczy w aktywator wklepać:

Kod: Zaznacz cały

sh -c "LD_PRELOAD=./xulrunner/libcrypto.so.1.0.0 /ścieżka docelowa z katalogiem GG/gghub" 

Awatar użytkownika
Yampress
Administrator
Posty: 6149
Rejestracja: 09 sierpnia 2007, 21:41
Lokalizacja: PL

Re: Komunikator GG nie chce się uruchomić.

Post autor: Yampress » 13 sierpnia 2019, 08:23

Oznacz więc temat jako rozwiązany
viewtopic.php?f=15&t=34136

Zablokowany